DROP TABLE IF EXISTS zhifubao_session;
CREATE TABLE zhifubao_session (
  unique_id int(11) NOT NULL auto_increment,
  session_id text NOT NULL,
  saved_session blob NOT NULL,
  expiry int(17) NOT NULL default '0',
  PRIMARY KEY  (unique_id),
  KEY idx_session_id_zen ( session_id(36) )
) TYPE=MyISAM;


DROP TABLE IF EXISTS zhifubao;
CREATE TABLE zhifubao (
  zhifubao_atn_id int(11) unsigned NOT NULL auto_increment,
  zen_order_id int(11) unsigned NOT NULL,
  trade_no varchar(64) NOT NULL default '',
  out_trade_no varchar(64) NOT NULL default '',
  notify_time datetime NOT NULL default '0001-01-01 00:00:00',
  PRIMARY KEY (zhifubao_atn_id,out_trade_no),
  KEY idx_zhifubao_zhifubao_atn_id_zen (zhifubao_atn_id),
  KEY idx_zen_order_id_zen ( zen_order_id )
);


DROP TABLE IF EXISTS zhifubao_payment_status;
CREATE TABLE zhifubao_payment_status (
  payment_status_id int(11) NOT NULL auto_increment,
  payment_status_name varchar(64) NOT NULL default '',
  PRIMARY KEY (payment_status_id)
);

INSERT INTO zhifubao_payment_status VALUES (1, 'ȴҸ');
INSERT INTO zhifubao_payment_status VALUES (2, 'Ѵȴȷ');
INSERT INTO zhifubao_payment_status VALUES (3, 'ȷҸУ𷢻');
INSERT INTO zhifubao_payment_status VALUES (4, '֧յҸҷ');
INSERT INTO zhifubao_payment_status VALUES (5, 'ѷȷ');
INSERT INTO zhifubao_payment_status VALUES (6, 'ȷյȴ֧');
INSERT INTO zhifubao_payment_status VALUES (7, '׳ɹ');
INSERT INTO zhifubao_payment_status VALUES (8, ';ر');


DROP TABLE IF EXISTS zhifubao_payment_status_history;
CREATE TABLE zhifubao_payment_status_history (
  payment_status_history_id int(11) NOT NULL auto_increment,
  zhifubao_atn_id varchar(64) NOT NULL default '',
  trade_no varchar(64) NOT NULL default '',
  out_trade_no varchar(64) NOT NULL default '',
  trade_status varchar(64) NOT NULL default '',
  notify_time datetime NOT NULL default '0001-01-01 00:00:00',
  PRIMARY KEY (payment_status_history_id),
  KEY idx_zhifubao_atn_id_zen ( zhifubao_atn_id )
);